%define major 0
%define api 1.13
%define libname %mklibname cppunit %{api}_%{major}
%define develname %mklibname cppunit -d

Summary:	C++ port of JUnit Testing Framework
Name:		cppunit
Version:	1.13.2
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.freedesktop.org/wiki/Software/cppunit
Source0:	http://dev-www.libreoffice.org/src/%{name}-%{version}.tar.xz
Patch:		cppunit-1.11.4-missing-include.patch
BuildRequires:	doxygen
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
CppUnit is the C++ port of the famous JUnit framework for unit
testing. Test output is in XML for automatic testing and GUI
based for supervised tests.

%package -n %{libname}
Summary:	C++ port of JUnit Testing Framework
Group:		System/Libraries
Obsoletes:	%{_lib}cppunit1.12_1

%description -n	%{libname}
CppUnit is the C++ port of the famous JUnit framework for unit
testing. Test output is in XML for automatic testing and GUI
based for supervised tests.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api}-devel = %{version}-%{release}
Obsoletes:	%{mklibname cppunit 1.12_0 -d}

%description -n %{develname}
CppUnit is the C++ port of the famous JUnit framework for unit
testing. Test output is in XML for automatic testing and GUI
based for supervised tests.

%prep

%setup -q
%patch -p1

%build
%configure2_5x --disable-static \
    --enable-doxygen 

# <oden> somehow LIBADD_DL is ignored, is that an intentional change?
perl -pi -e "s|^LIBS =.*|LIBS = -lm -ldl|g" src/cppunit/Makefile

%make

%install
rm -rf %{buildroot}

%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

#(tpg) do not duplicate docs
rm -rf  %{buildroot}%{_datadir}/doc/cppunit

# clean up
rm -rf %{buildroot}%{_datadir}/cppunit

%multiarch_binaries %{buildroot}%{_bindir}/cppunit-config

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libcppunit-%{api}.so.%{major}*


%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS NEWS README THANKS ChangeLog
%{_bindir}/cppunit-config
%{multiarch_bindir}/cppunit-config
%{_bindir}/DllPlugInTester
%{_libdir}/*.so
%{_includedir}/cppunit
%{_datadir}/aclocal/cppunit.m4
%{_mandir}/man1/*
%{_libdir}/pkgconfig/cppunit.pc


%changelog
* Mon Oct 19 2015 bb <bb> 1.13.2-2pclos2015
- rebuild for updates

* Wed Jan 29 2014 bb <bb> 1.13.2-1pclos2014 
- update

* Wed Jun 15 2011 Texstar <texstar at gmail.com> 1.21.1-2pclos2011
- update for 2011 release

